Pulp - Story #8846

As a pulp_installer user, | do not need to use the latest micro release to install the latest micro
release of pulpcore

06/01/2021 11:12 PM - mdepaulo@redhat.com

Status: NEW Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Installer Estimated time: 0:00 hour

Sprint/Milestone:

Platform Release: Tags:
Groomed: No Sprint:
Sprint Candidate: No Quarter:
Description

Basically, this means that pulp_installer 3.14.0 (or possibly 3.13.1 / 3.13.2) will be able to install pulpcore 3.14.z .
The benefit for users is that they will not need to always have the latest micro version of pulp_installer.
And the benefit to the pulp team is that we will not need to do a pulp_installer micro release for every pulpcore micro release.

This is a variation of the 1 year old proposal for versions/branches in pulp_installer, and a variation of the specific micro release
policy we implemented originally in #5618.

Reference from #5618:

* Original discussion:
* [mikedep333's proposal] (https://github.com/pulp/pulp_installer/pull/203#issue-361269733)
* [bmbouter's couter-proposal to do micro-versioned releases] (https://github.com/pulp/pulp
_installer/pull/203#issuecomment-577903411)
* [mikedep333's agreement/details for micro-versioned releases] (https://github.com/pulp/pu
lp_installer/pull/203#issuecomment-579450153)

Subtasks:

Story # 8847: As a pulp_installer user, | can specify variables for the minor release b... POST
Task # 8848: pulp_installer to run Cl against stable branches NEW
Related issues:

Related to Pulp - Story #5618: As a user, | can download & run a version of t... NEW

Related to Pulp - Task #6073: Adapt pulp_installer Cl for pulp_installer bran... CLOSED - COMPLETE

History

#1 - 06/01/2021 11:12 PM - mdepaulo@redhat.com

- Related to Story #5618: As a user, | can download & run a version of the ansible installer that a specific version of Pulp 3 added

#2 - 06/01/2021 11:13 PM - mdepaulo@redhat.com

- Description updated

#3 - 06/01/2021 11:13 PM - mdepaulo@redhat.com

- Description updated

#4 - 06/01/2021 11:18 PM - mdepaulo@redhat.com

- Category set to Installer

#5 - 06/01/2021 11:22 PM - mdepaulo@redhat.com

- Description updated

#6 - 06/01/2021 11:24 PM - mdepaulo@redhat.com
https://pulp.plan.io/issues/5618
https://pulp.plan.io/issues/5618

- Description updated

#7 - 07/13/2021 11:09 PM - mdepaulo@redhat.com
- Related to Task #6073: Adapt pulp_installer Cl for pulp_installer branches added
